---
title: Event.bubbles
slug: Web/API/Event/bubbles
tags:
  - API
  - Bubbling
  - DOM
  - DOM Events
  - Event
  - Event Handling
  - Propagation
  - Property
  - Read-only
  - Reference
  - bubbles
---
<div>{{ ApiRef("DOM") }}</div>

<p>The <code><strong>bubbles</strong></code> read-only property of the {{domxref("Event")}} interface indicates whether the event bubbles up through the DOM or not.</p>

<div class="note">
<p><strong>Note</strong>: See <a href="/en-US/docs/Learn/JavaScript/Building_blocks/Events#Event_bubbling_and_capture">Event bubbling and capture</a> for more information on bubbling.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js notranslate">var <em>doesItBubble</em> = <em>event</em>.bubbles;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("Boolean")}}, which is <code>true</code> if the event bubbles up through the DOM.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js notranslate">function handleInput(e) {
  // Checks whether the event bubbles and ...
  if (!e.bubbles) {
    // ... passes the event along if does not
    passItOn(e);
  }

  // Already bubbling
  doOutput(e);
}
</pre>

<div class="note">
<p><strong>Note</strong>: Only certain events can bubble. Events that do bubble have this property set to <code>true</code>. You can use this property to check if an event is allowed to bubble or not.</p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('DOM WHATWG', '#dom-event-bubbles', 'Event.bubbles')}}</td>
   <td>{{ Spec2('DOM WHATWG') }}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('DOM2 Events', '#Events-Event-canBubble', 'Event.bubbles')}}</td>
   <td>{{ Spec2('DOM2 Events') }}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Event.bubbles")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("Event.stopPropagation", "stopPropagation()")}} to prevent further propagation of the current event in the capturing and bubbling phases</li>
 <li>{{domxref("Event.stopImmediatePropagation", "stopImmediatePropagation()")}} to not call any further listeners for the same event at the same level in the DOM</li>
 <li>{{domxref("Event.preventDefault", "preventDefault()")}} to allow propagation to continue but to disallow the browser to perform its default action should no listeners handle the event</li>
</ul>
